import request from '@/utils/request'

// 统计数据
export function countGroup(surveyId) {
  return request({
    url: '/business/templatePropValue/countGroup?surveyId=' + surveyId,
    method: 'get',
  })
}

// 查询模版属性值列表
export function listTemplatePropValue(query) {
  return request({
    url: '/business/templatePropValue/list',
    method: 'get',
    params: query
  })
}

// 查询模版属性值详细
export function getTemplatePropValue(id) {
  return request({
    url: '/business/templatePropValue/' + id,
    method: 'get'
  })
}

// 新增模版属性值
export function addTemplatePropValue(data) {
  return request({
    url: '/business/templatePropValue',
    method: 'post',
    data: data
  })
}

// 新增模版属性值
export function addList(data) {
  return request({
    url: '/business/templatePropValue/addList',
    method: 'post',
    data: data
  })
}

// 修改模版属性值
export function updateTemplatePropValue(data) {
  return request({
    url: '/business/templatePropValue',
    method: 'put',
    data: data
  })
}

// 删除模版属性值
export function delTemplatePropValue(id) {
  return request({
    url: '/business/templatePropValue/' + id,
    method: 'delete'
  })
}
